Page MenuHomePhabricator

Set Beta Cluster wikis to use the new MCR-only schema
Closed, ResolvedPublic

Description

The following setting switches fully MediaWiki to the new, MCR enabled database schema for revision storage:

$wgMultiContentRevisionSchemaMigrationStage = SCHEMA_COMPAT_NEW;
NOTE: This marks the point of no return for MCR deployment to the beta wikis. Data in the old schema will becom incomplete and unusable.

Event Timeline

daniel triaged this task as Medium priority.Jul 1 2018, 12:29 PM
daniel created this task.
Aklapper changed the edit policy from "Custom Policy" to "All Users".Jul 9 2018, 7:40 AM
Jdforrester-WMF renamed this task from Set beta wikis to use the new MCR-only schema to Set Beta Cluster wikis to use the new MCR-only schema.Sep 24 2018, 6:42 PM
Jdforrester-WMF updated the task description. (Show Details)
greg added a project: Multimedia.Mar 7 2019, 10:59 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptMar 8 2019, 4:22 PM
WDoranWMF moved this task from MCR to mop on the Core Platform Team board.Jul 26 2019, 6:39 PM
daniel updated the task description. (Show Details)Oct 1 2019, 7:51 AM

Change 540083 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[operations/mediawiki-config@master] Labs: set MCR migration stage to SCHEMA_COMPAT_NEW

https://gerrit.wikimedia.org/r/540083

Change 540083 merged by jenkins-bot:
[operations/mediawiki-config@master] Labs: set MCR migration stage to SCHEMA_COMPAT_NEW

https://gerrit.wikimedia.org/r/540083

Jdforrester-WMF closed this task as Resolved.Oct 1 2019, 4:21 PM
Jdforrester-WMF assigned this task to daniel.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This is now done.

daniel reopened this task as Open.Oct 28 2019, 4:30 PM

Re-opening. This broke Special:Export, see e.g.
https://en.wikipedia.beta.wmflabs.org/wiki/Special:Export/0.42323637011943815

Presumably this has been broken for several weeks now. Apparently nobody noticed.

Stack trace:

Internal error - Wikipedia</title><style>body { font-family: sans-serif; margin: 0; padding: 0.5em 2em; }</style></head><body>
<p>[XbcXTqwQBHcAABCBKksAAAAN] /wiki/Special:Export/0.42323637011943815   MWException from line 357 of /srv/mediawiki/php-master/includes/export/WikiExporter.php: Cannot use WikiExporter with SCHEMA_COMPAT_WRITE_OLD mode disabled! Support for dumping from the new schema is not implemented yet!</p><p>Backtrace:</p><p>#0 /srv/mediawiki/php-master/includes/export/WikiExporter.php(288): WikiExporter-&gt;dumpPages(string, boolean)<br />
#1 /srv/mediawiki/php-master/includes/export/WikiExporter.php(197): WikiExporter-&gt;dumpFrom(string)<br />
#2 /srv/mediawiki/php-master/includes/specials/SpecialExport.php(408): WikiExporter-&gt;pageByTitle(Title)<br />
#3 /srv/mediawiki/php-master/includes/specials/SpecialExport.php(191): SpecialExport-&gt;doExport(string, integer, boolean, boolean)<br />
#4 /srv/mediawiki/php-master/includes/specialpage/SpecialPage.php(575): SpecialExport-&gt;execute(string)<br />
#5 /srv/mediawiki/php-master/includes/specialpage/SpecialPageFactory.php(607): SpecialPage-&gt;run(string)<br />
#6 /srv/mediawiki/php-master/includes/MediaWiki.php(298): MediaWiki\Special\SpecialPageFactory-&gt;executePath(Title, RequestContext)<br />
#7 /srv/mediawiki/php-master/includes/MediaWiki.php(967): MediaWiki-&gt;performRequest()<br />
#8 /srv/mediawiki/php-master/includes/MediaWiki.php(530): MediaWiki-&gt;main()<br />
#9 /srv/mediawiki/php-master/index.php(44): MediaWiki-&gt;run()<br />
#10 /srv/mediawiki/w/index.php(3): require(string)<br />
#11 {main}